
get
/v4/ledger/earned/{address}
What a recipient earned over a time window, prorated, per campaign and per tokenPath parameters
addressstringrequired
Recipient address
Query parameters
fromstringWindow start, unix seconds. Required.
tostringWindow end, unix seconds. Defaults to now.
chainIdstringRestrict to a single chain
campaignIdstringCampaign id
tokenstringReward token on chainId. Needs chainId.
Responses
200Response for status 200
Schema
object
fromnumberrequired
Window start, unix seconds, exclusivetonumberrequired
Window end, unix seconds, inclusivetotalsobject[]requiredPer (chain, token): the sum of the breakdown amounts
chainIdnumbertokenstringamountstringBase units, a base-10 integerbreakdownobject[]requiredPer (campaign, reason): the floor of the prorated sum
campaignIdstringreasonstringchainIdnumbertokenstringamountstringBase units, a base-10 integerExample
{
"from": 0,
"to": 0,
"totals": [
{
"chainId": 0,
"token": "string",
"amount": "string"
}
],
"breakdown": [
{
"campaignId": "string",
"reason": "string",
"chainId": 0,
"token": "string",
"amount": "string"
}
]
}get
https://api.merkl.xyz/v4/ledger/earned/curl -X GET "https://api.merkl.xyz/v4/ledger/earned/0xd93814273b33DD33B32cD345225CfB65DEB048Dd"